diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/columns/sql/9.1_plus/acl.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/columns/sql/9.1_plus/acl.sql
index 152a784..19a65a6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/columns/sql/9.1_plus/acl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/columns/sql/9.1_plus/acl.sql
@@ -1,4 +1,8 @@
-SELECT 'attacl' as deftype, COALESCE(gt.rolname, 'PUBLIC') grantee, g.rolname grantor, array_agg(privilege_type) as privileges, array_agg(is_grantable) as grantable
+SELECT 'attacl' as deftype,
+    COALESCE(gt.rolname, 'PUBLIC') grantee,
+    g.rolname grantor,
+    array_agg(privilege_type order by privilege_type) as privileges,
+    array_agg(is_grantable) as grantable
 FROM
   (SELECT
     d.grantee, d.grantor, d.is_grantable,
